description: >
    Reset button control service
methods:
    - name: simPress
      description: >
          Emulate reset button press.
      errors:
          - xyz.openbmc_project.Chassis.Common.Error.UnsupportedCommand
          - xyz.openbmc_project.Chassis.Common.Error.IOError

properties:
    - name: Enabled
      type: boolean
      default: true
      description: >
          Enable/disable reset button.
          false means reset button is disabled
          true means reset button is enabled
      errors:
          - xyz.openbmc_project.Chassis.Common.Error.UnsupportedCommand
          - xyz.openbmc_project.Chassis.Common.Error.IOError

signals:
    - name: Released
      description: >
          Reset button released signal
    - name: Pressed
      description: >
          Reset button pressed signal
